Skip to content
Start here

Convert Files into Markdown

client.ai.toMarkdown.transform(ToMarkdownTransformParams { account_id, file } params, RequestOptionsoptions?): SinglePage<ToMarkdownTransformResponse { data, format, mimeType, 2 more } >
POST/accounts/{account_id}/ai/tomarkdown

Converts uploaded files into Markdown format using Workers AI.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
ParametersExpand Collapse
params: ToMarkdownTransformParams { account_id, file }
account_id: string

Path param

file: File

Body param

files: Array<Uploadable>
ReturnsExpand Collapse
ToMarkdownTransformResponse { data, format, mimeType, 2 more }
data: string
format: string
mimeType: string
name: string
tokens: string

Convert Files into Markdown

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const toMarkdownTransformResponse of client.ai.toMarkdown.transform({
  account_id: '023e105f4ecef8ad9ca31a8372d0c353',
  file: { files: [fs.createReadStream('path/to/file')] },
})) {
  console.log(toMarkdownTransformResponse.data);
}
{
  "result": [
    {
      "data": "data",
      "format": "format",
      "mimeType": "mimeType",
      "name": "name",
      "tokens": "tokens"
    }
  ],
  "success": true
}
Returns Examples
{
  "result": [
    {
      "data": "data",
      "format": "format",
      "mimeType": "mimeType",
      "name": "name",
      "tokens": "tokens"
    }
  ],
  "success": true
}